cURL
curl --request POST \ --url https://api.siray.ai/v1/images/generations/async \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "model": "bytedance/seedream-4.5-t2i", "prompt": "example_value", "size": "2048x2048" } '
{ "code": "success", "data": { "task_id": "<string>" }, "message": "<string>" }
Generate an image using the Seedream 4.5 t2i model
Bearer authentication using API key
Request payload
Request format for image generation models
Model name to use for the request
bytedance/seedream-4.5-t2i
Text prompt for generation
Fixed size
2048x2048
2304x1728
1728x2304
2560x1440
1440x2560
2496x1664
1664x2496
3024x1296
Successful response
Standard async task creation response
Status code returned by the service
"success"
Response payload containing task details
Show child attributes
Additional information about the request result